!set title=Ordenar 5
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
language=en
author=XIAO Gang
email=xiao@unice.fr

ansorder=r,r,r,r,r
varcnt=29
prevarcnt=28
postvarcnt=0
replycnt=5
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

tmp0=!record 0 of table

val6=$(tmp0)
tmp=!translate internal $	$ to ; in $val6

tmp0=!rowcnt $tmp
val7=$[rint($(tmp0))]

!ifval $val2 notitemof 1,2,3,4
val2=$[rint(0)]
!endif

!ifval $val3 notitemof 1,2,3,4
val3=$[rint(0)]
!endif
val8=

!ifval $val4 issametext $val8 or $val4<7 or	 $val4>$val7
val4=$[rint(54)]
!endif
tmp0=!values x for x=1 to $val7

val9=$(tmp0)
tmp0=!listintersect $val5 and $val9

val5=$(tmp0)

!ifval $val2>0
val10=$[rint($val2)]
!else
tmp0=!randint 1, 4

val10=$[rint($(tmp0))]
!endif

!ifval $val3=$val2
val11=$[rint(0)]
!else
val11=$[rint($val3)]
!endif
tmp0=!listcomplement $val10 in 1,2,3,4

val12=$(tmp0)

!ifval \candouble issametext yes and $val10 != 1
val12=$val10,$val12
!endif

!ifval $val11>0 and $val11 isitemof $val12
val13=$[rint($val11)]
!else
tmp=!nonempty items $val12

tmp0=!randitem $tmp
val13=$[rint($(tmp0))]
!endif
val14=$[rint(5)]
tmp0=!record 0 of table

val15=$(tmp0)
val6=$val15
val8=
!if $val5 notsametext $val8 and \selective notsametext no 
tmp=!translate internal $	$ to ; in $val6

tmp=!row $val5 of $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val6=$(tmp0)
!endif
tmp=!translate internal $	$ to ; in $val6

tmp=!column 3 of $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val16=$(tmp0)
tmp=!translate internal $	$ to ; in $val6

tmp=!column 2 of $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val17=$(tmp0)
tmp=!translate internal $	$ to ; in $val6

tmp0=!rowcnt $tmp
val18=$[rint(min($val4,$(tmp0)))]

!ifval $val10 notitemof 2,3
tmp=!nonempty items 2,3

tmp0=!randitem $tmp
val10=$(tmp0)
!endif
val19=números, símbolos, nombres, masas
val20=60,60,120,100
tmp0=!shuffle $val18

tmp1=!item 1 to $val14 of $(tmp0)

val21=$(tmp1)
tmp0=!sort numeric items $val21

val21=$(tmp0)
tmp=!translate internal $	$ to ; in $val6

tmp=!row $val21 of $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val6=$(tmp0)
tmp=!translate internal $	$ to ; in $val6

tmp=!column $val10 of $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val6=$(tmp0)
replytype1=dragfill
replyname1=Elemento 1
replygood1=$(val6[1])
replytype2=dragfill
replyname2=Elemento 2
replygood2=$(val6[2])
replytype3=dragfill
replyname3=Elemento 3
replygood3=$(val6[3])
replytype4=dragfill
replyname4=Elemento 4
replygood4=$(val6[4])
replytype5=dragfill
replyname5=Elemento 5
replygood5=$(val6[5])
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Coloca los siguientes átomos en orden creciente, arrastrándolos	a las casillas vacías.	<p> <table border=0><tr><td>	 
!for m_i=1 to $val14 
$()	  
!read oef/embed.phtml r\i,$(val20[$val10])x30 
$()	 
!next
$()	</td></tr></table>	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=10,14,20
embedcnt=1
